summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-07-06 11:09:27 +0200
committerHolger Levsen <holger@layer-acht.org>2016-07-06 11:09:27 +0200
commit851817c6cd83c6b431e2a30b75c0e1edf8ef1712 (patch)
treed63b47b50eaf2de58515a180673c9767ff0cc811
parent02ccd8197bbba77dc56dea25ab08964632b66ac3 (diff)
downloadjenkins.debian.net-851817c6cd83c6b431e2a30b75c0e1edf8ef1712.tar.xz
detect another kind of network issue: 503
-rwxr-xr-xbin/chroot-installation.sh4
-rwxr-xr-xbin/reproducible_build.sh4
-rwxr-xr-xbin/reproducible_maintenance.sh2
-rwxr-xr-xbin/schroot-create.sh4
4 files changed, 7 insertions, 7 deletions
diff --git a/bin/chroot-installation.sh b/bin/chroot-installation.sh
index 097a2968..36c2958b 100755
--- a/bin/chroot-installation.sh
+++ b/bin/chroot-installation.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2012-2015 Holger Levsen <holger@layer-acht.org>
+# Copyright 2012-2016 Holger Levsen <holger@layer-acht.org>
# released under the GPLv=2
DEBUG=true
@@ -56,7 +56,7 @@ execute_ctmpfile() {
(sudo chroot $CHROOT_TARGET $TMPFILE 2>&1 | tee $TMPLOG) || true
RESULT=$(grep "xxxxxSUCCESSxxxxx" $TMPLOG || true)
if [ -z "$RESULT" ] ; then
- RESULT=$(egrep "Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway)" $TMPLOG || true)
+ RESULT=$(egrep "Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway|Service Unavailable)" $TMPLOG || true)
if [ ! -z "$RESULT" ] ; then
echo
echo "$(date -u) - Warning: Network problem detected."
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index 7c809875..eef9172f 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -493,8 +493,8 @@ download_source() {
# the build master only needs to the the .dsc file
schroot --directory $TMPDIR -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source --print-uris source ${SRCPACKAGE} | grep \.dsc|cut -d " " -f1|xargs -r wget --timeout=180 --tries=3 2>&1 | tee ${TMPLOG}
fi
- local ENGLISH_RESULT=$(egrep 'E: (Unable to find a source package for|Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway))' ${TMPLOG})
- local FRENCH_RESULT=$(egrep 'E: (Unable to find a source package for|impossible de récupérer.*(Unable to connect to|Échec de la connexion|Size mismatch|Cannot initiate the connection to|Bad Gateway))' ${TMPLOG})
+ local ENGLISH_RESULT=$(egrep 'E: (Unable to find a source package for|Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway|Service Unavailable))' ${TMPLOG})
+ local FRENCH_RESULT=$(egrep 'E: (Unable to find a source package for|impossible de récupérer.*(Unable to connect to|Échec de la connexion|Size mismatch|Cannot initiate the connection to|Bad Gateway|Service Unavailable))' ${TMPLOG})
PARSED_RESULT="${ENGLISH_RESULT}${FRENCH_RESULT}"
cat ${TMPLOG} >> ${RBUILDLOG}
rm ${TMPLOG}
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index 295eaa93..ff858165 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -171,7 +171,7 @@ if [ "$HOSTNAME" = "$MAINNODE" ] ; then
# (ignore "*None.rbuild.log" because these are build which were just started)
# this job runs every 4h
echo "$(date -u) - Rescheduling failed builds due to network issues."
- FAILED_BUILDS=$(find $DEBIAN_BASE/rbuild -type f ! -name "*None.rbuild.log" ! -mmin +300 -exec zgrep -l -E 'E: Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway)' {} \; || true)
+ FAILED_BUILDS=$(find $DEBIAN_BASE/rbuild -type f ! -name "*None.rbuild.log" ! -mmin +300 -exec zgrep -l -E 'E: Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway|Service Unavailable)' {} \; || true)
if [ ! -z "$FAILED_BUILDS" ] ; then
echo
echo "The following builds have failed due to network problems and will be rescheduled now:"
diff --git a/bin/schroot-create.sh b/bin/schroot-create.sh
index 7311687e..67e5ab14 100755
--- a/bin/schroot-create.sh
+++ b/bin/schroot-create.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2012-2015 Holger Levsen <holger@layer-acht.org>
+# Copyright 2012-2016 Holger Levsen <holger@layer-acht.org>
# Copyright 2013 Antonio Terceiro <terceiro@debian.org>
# Copyright 2014 Joachim Breitner <nomeata@debian.org>
# Copyright 2015 MAttia Rizzolo <mattia@mapreri.org>
@@ -118,7 +118,7 @@ EOF
robust_chroot_apt() {
set +e
sudo chroot $SCHROOT_TARGET apt-get $@ | tee $TMPLOG
- local RESULT=$(egrep 'Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway)' $TMPLOG || true)
+ local RESULT=$(egrep 'Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway|Service Unavailable)' $TMPLOG || true)
set -e
if [ ! -z "$RESULT" ] ; then
echo "$(date -u) - 'apt-get $@' failed, sleeping 5min before retrying..."